## rust-hypothesis 0.11.5

=== debian/changelog ===
rust-hypothesis (0.11.5-9) unstable; urgency=medium

  * reduce autopkgtest to check single-feature tests only on amd64
  * trust upstream optimization level unless explicitly disabled
  * enable hardening and pedantic build options
  * stop mention dh-cargo in long description
  * add patch 1001
    to accept newer branches of crate derive_builder;
    closes: bug#1080042, thanks to Daniel Kahn Gillmor;
    bump (build-)dependencies for crate derive_builder

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Aug 2024 22:44:24 +0200

rust-hypothesis (0.11.5-8) unstable; urgency=medium

  * fix command for autopkgtest-checking feature cli
  * stop check network-requiring tests:
    they all require an online account

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jul 2024 08:43:05 +0200

rust-hypothesis (0.11.5-7) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * update DEP-3 headers for patch 2003
  * add patch 2004 to skip network-requiring tests by default;
    simplify rules;
    add flaky autopkgtests with network-requiring tests enabled
  * tighten manpage generation

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Jul 2024 21:16:17 +0200

rust-hypothesis (0.11.5-6) unstable; urgency=medium

  * fix patch 2003

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Jul 2024 15:37:19 +0200

rust-hypothesis (0.11.5-5) unstable; urgency=medium

  * add patch 1001 to avoid crate dotenv,
    superseding patch 1001;
    stop build- og autopkgtest-depend on package for crate dotenvy
  * set dummy environment variables for autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Jul 2024 12:42:59 +0200

rust-hypothesis (0.11.5-4) unstable; urgency=medium

  * add patch 1001 to use crate dotenvy (not abandoned dotenv);
    build- and autopkgtest-depend on package
    for crate dotenvy (not dotenv)
  * check build-time tests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Jul 2024 11:18:22 +0200

rust-hypothesis (0.11.5-3) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust (not dh-cargo)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 13:57:27 +0200

rust-hypothesis (0.11.5-2) unstable; urgency=medium

  * drop patches 2003_*, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Jul 2024 09:46:29 +0200

rust-hypothesis (0.11.5-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update patches
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Jun 2024 22:50:47 +0200

rust-hypothesis (0.11.1-5) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix default for group and add new selectors

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 May 2024 15:50:10 +0200

rust-hypothesis (0.11.1-4) unstable; urgency=medium

  * disable checking testsuite

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 May 2024 00:11:03 +0200

rust-hypothesis (0.11.1-3) unstable; urgency=medium

  * fix patch 2001;
    closes: bug#1070489, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 May 2024 22:27:32 +0200

rust-hypothesis (0.11.1-2) unstable; urgency=medium

  * update copyright info: fix file path

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 May 2024 11:03:07 +0200

rust-hypothesis (0.11.1-1) experimental; urgency=low

  * initial release;
    closes: bug#1069129

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Apr 2024 10:57:57 +0200
