=== debian/control ===
Source: rust-hypothesis
Section: text
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-rust,
 help2man,
 librust-assert-cmd-2+default-dev <!nocheck>,
 librust-chrono-0.4+default-dev,
 librust-chrono-0.4+serde-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-clap-complete-4+default-dev,
 librust-color-eyre-0.6+default-dev,
 librust-derive-builder-0.20+default-dev,
 librust-eyre-0.6+default-dev,
 librust-futures-0.3+default-dev,
 librust-predicates-3+default-dev <!nocheck>,
 librust-reqwest-0.11+json-dev,
 librust-reqwest-0.11+rustls-tls-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-thiserror-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-multi-thread-dev,
 librust-url-2+default-dev,
 libstring-shellquote-perl,
Standards-Version: 4.7.0
Homepage: https://github.com/out-of-cheese-error/rust-hypothesis
Vcs-Git: https://salsa.debian.org/debian/rust-hypothesis.git
Vcs-Browser: https://salsa.debian.org/debian/rust-hypothesis
Rules-Requires-Root: no

Package: hypothesis-client
X-Cargo-Crates:
 hypothesis,
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 bash-completion,
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: CLI for the Hypothesis API
 hypothesis-client is a lightweight command-line interface
 for the Hypothesis Web API v1.0.0.
 It includes all APIKey authorized endpoints
 related to...
  * annotations (create / update / delete / search / fetch / flag)
  * groups (create / update / list / fetch / leave / members)
  * profile (user information / groups)
 .
 Hypothesis is a tool to annotate the web.

Package: librust-hypothesis-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-chrono-0.4+default-dev,
 librust-chrono-0.4+serde-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-clap-complete-4+default-dev,
 librust-color-eyre-0.6+default-dev,
 librust-derive-builder-0.20+default-dev,
 librust-eyre-0.6+default-dev,
 librust-futures-0.3+default-dev,
 librust-reqwest-0.11+json-dev,
 librust-reqwest-0.11+rustls-tls-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-thiserror-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-multi-thread-dev,
 librust-url-2+default-dev,
 ${misc:Depends},
Provides:
 librust-hypothesis-0.11+cli-dev (= ${binary:Version}),
 librust-hypothesis-0.11+default-dev (= ${binary:Version}),
 librust-hypothesis-0.11-dev (= ${binary:Version}),
 librust-hypothesis-0.11.5-dev (= ${binary:Version}),
Description: wrapper for the Hypothesis API - Rust source code
 The hypothesis crate provides a lightweight wrapper and CLI
 for the Hypothesis Web API v1.0.0.
 It includes all APIKey authorized endpoints
 related to...
  * annotations (create / update / delete / search / fetch / flag)
  * groups (create / update / list / fetch / leave / members)
  * profile (user information / groups)
 .
 This package contains the source for the Rust hypothesis crate,
 for use with cargo.
