=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: env HYPOTHESIS_NAME=foo HYPOTHESIS_KEY=bar TEST_GROUP_ID=baz /usr/share/dh-rust/bin/cargo-auto-test hypothesis 0.11.5
 --all-targets --all-features
Features: test-name=rust-hypothesis-0.11:@
Depends:
 dh-rust,
 librust-assert-cmd-2+default-dev,
 librust-hypothesis-0.11-dev,
 librust-predicates-3+default-dev,
Restrictions: allow-stderr

Test-Command: env HYPOTHESIS_NAME=foo HYPOTHESIS_KEY=bar TEST_GROUP_ID=baz /usr/share/dh-rust/bin/cargo-auto-test hypothesis 0.11.5
 --all-targets --no-default-features
Features: test-name=rust-hypothesis-0.11:
Depends:
 dh-rust,
 librust-assert-cmd-2+default-dev,
 librust-hypothesis-0.11-dev,
 librust-predicates-3+default-dev,
Restrictions: allow-stderr

Test-Command: env HYPOTHESIS_NAME=foo HYPOTHESIS_KEY=bar TEST_GROUP_ID=baz /usr/share/dh-rust/bin/cargo-auto-test hypothesis 0.11.5
 --all-targets
Features: test-name=rust-hypothesis-0.11:default
Depends:
 dh-rust,
 librust-assert-cmd-2+default-dev,
 librust-hypothesis-0.11+default-dev,
 librust-predicates-3+default-dev,
Restrictions: allow-stderr

Test-Command: env HYPOTHESIS_NAME=foo HYPOTHESIS_KEY=bar TEST_GROUP_ID=baz /usr/share/dh-rust/bin/cargo-auto-test hypothesis 0.11.5
 --all-targets --no-default-features --features cli
Features: test-name=rust-hypothesis-0.11:cli
Depends:
 dh-rust,
 librust-assert-cmd-2+default-dev,
 librust-hypothesis-0.11+cli-dev,
 librust-predicates-3+default-dev,
Restrictions: allow-stderr
Architecture: amd64
