## rust-hypothesis 0.12.0

=== debian/changelog ===
rust-hypothesis (0.12.0-4) unstable; urgency=medium

  * build-depend on libstd-rust-dev
  * declare compliance with Debian Policy 4.7.2
  * drop watch file: use upstream metadata instead
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 17:30:16 +0200

rust-hypothesis (0.12.0-3) unstable; urgency=medium

  * rename patch 2003_reqwest -> 1001_reqwest
  * tighten (build-)dependencies for crate reqwest
  * update git-buildpackage config: fix usage comments
  * update watch file: tighten download URI mangling

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Feb 2025 08:24:18 +0100

rust-hypothesis (0.12.0-2) unstable; urgency=medium

  * add patch 2001_quick-xml
    to accept newer branch of crate reqwest;
    relax (build-)dependencies for crate reqwest;
    closes: bug#1092920, thanks to Maytham Alsudany
  * declare crate-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * update copyright info: update coverage
  * add upstream metadata
  * update git-buildpackage config:
    + simplify usage comments
  * update watch file:
    + use Github API uri
    + improve filename mangling
    + improve usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jan 2025 17:08:05 +0100

rust-hypothesis (0.12.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update DEP-3 headers for patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 06 Nov 2024 13:33:03 +0100
