=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-sequence-bash-completion,
  dh-sequence-rust,
  help2man,
- librust-assert-cmd-2+default-dev <!nocheck>,
+ librust-assert-cmd-2+default-dev,
  librust-chrono-0.4+default-dev,
  librust-chrono-0.4+serde-dev,
  librust-clap-4+default-dev,
@@ -18,9 +18,9 @@
  librust-derive-builder-0.20+default-dev,
  librust-eyre-0.6+default-dev,
  librust-futures-0.3+default-dev,
- librust-predicates-3+default-dev <!nocheck>,
- librust-reqwest-0.11+json-dev,
- librust-reqwest-0.11+rustls-tls-dev,
+ librust-predicates-3+default-dev,
+ librust-reqwest-0.12+json-dev,
+ librust-reqwest-0.12+rustls-tls-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
@@ -29,8 +29,9 @@
  librust-tokio-1+macros-dev,
  librust-tokio-1+rt-multi-thread-dev,
  librust-url-2+default-dev,
+ libstd-rust-dev,
  libstring-shellquote-perl,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/out-of-cheese-error/rust-hypothesis
 Vcs-Git: https://salsa.debian.org/debian/rust-hypothesis.git
 Vcs-Browser: https://salsa.debian.org/debian/rust-hypothesis
@@ -74,8 +75,8 @@
  librust-derive-builder-0.20+default-dev,
  librust-eyre-0.6+default-dev,
  librust-futures-0.3+default-dev,
- librust-reqwest-0.11+json-dev,
- librust-reqwest-0.11+rustls-tls-dev,
+ librust-reqwest-0.12+json-dev,
+ librust-reqwest-0.12+rustls-tls-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
@@ -86,10 +87,10 @@
  librust-url-2+default-dev,
  ${misc:Depends},
 Provides:
- librust-hypothesis-0.11+cli-dev (= ${binary:Version}),
- librust-hypothesis-0.11+default-dev (= ${binary:Version}),
- librust-hypothesis-0.11-dev (= ${binary:Version}),
- librust-hypothesis-0.11.5-dev (= ${binary:Version}),
+ librust-hypothesis-0.12+cli-dev (= ${binary:Version}),
+ librust-hypothesis-0.12+default-dev (= ${binary:Version}),
+ librust-hypothesis-0.12-dev (= ${binary:Version}),
+ librust-hypothesis-0.12.0-dev (= ${binary:Version}),
 Description: wrapper for the Hypothesis API - Rust source code
  The hypothesis crate provides a lightweight wrapper and CLI
  for the Hypothesis Web API v1.0.0.
